| Home | Libraries | People | FAQ | More

## Function template make_function_input_iterator

boost::compute::make_function_input_iterator

## Synopsis

    // In header: <boost/compute/iterator/function_input_iterator.hpp>

    template<typename Function>
      function_input_iterator< Function >
      make_function_input_iterator(const Function & function, size_t index = 0);

## Description

Returns a `function_input_iterator` with `function`.

Parameters:

`function` | function to execute when dereferenced
`index` | index of the iterator

Returns: | a `function_input_iterator` with `function`